DCMTK: DVPSFilmSession Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DVPSFilmSession Class Reference

a basic film session object managed by a Print SCP. More...

## Public Member Functions
| DVPSFilmSession (Uint16 illumin, Uint16 reflection)
| constructor
| DVPSFilmSession (const DVPSFilmSession &copy)
| copy constructor
DVPSFilmSession * | clone ()
| clone method.
virtual | ~DVPSFilmSession ()
| destructor
OFBool | printSCPCreate (DVConfiguration &cfg, const char *cfgname, DcmDataset *rqDataset, T_DIMSE_Message &rsp, DcmDataset *&rspDataset, const char *peerae, OFBool presentationLUTnegotiated, DVPSPresentationLUT_PList &globalPresentationLUTList)
| performs a Print SCP Basic Film Session N-CREATE operation on a newly created instance of this class.
OFBool | printSCPSet (DVConfiguration &cfg, const char *cfgname, DcmDataset *rqDataset, T_DIMSE_Message &rsp, DcmDataset *&rspDataset, OFBool presentationLUTnegotiated, DVPSPresentationLUT_PList &globalPresentationLUTList, DVPSStoredPrint_PList &basicFilmBoxList)
| performs a Print SCP Basic Film Session N-SET operation on an instance of this class.
OFBool | isInstance (const char *uid)
| compares the SOP instance UID with the given UID string.
const char * | getUID ()
| returns the SOP instance UID of the basic film session.
void | copyPresentationLUTSettings (DVPSStoredPrint &sp)
| copies the film box Presentation LUT settings into the stored print object passed by reference.

## Private Member Functions
DVPSFilmSession & | operator= (const DVPSFilmSession &)
| private undefined assignment operator
OFCondition | addPresentationLUTReference (DcmItem &dset)
| writes a Referenced Presentation LUT SQ, Illumination and reflected ambient light to the given dataset.

## Private Attributes
OFString | sopInstanceUID
| SOP instance UID of basic film session object.
DcmIntegerString | numberOfCopies
| VR=IS, VM=1.
DcmCodeString | printPriority
| VR=CS, VM=1.
DcmCodeString | mediumType
| VR=CS, VM=1.
DcmCodeString | filmDestination
| VR=CS, VM=1.
DcmLongString | filmSessionLabel
| VR=LO, VM=1.
DcmShortString | ownerID
| VR=SH, VM=1.
DcmUnsignedShort | illumination
| VR=US, VM=1, Type 2c required if presentation SOP class present.
DcmUnsignedShort | reflectedAmbientLight
| VR=US, VM=1, Type 2c required if presentation SOP class present.
DcmUniqueIdentifier | referencedPresentationLUTInstanceUID
| the ReferencedPresentationLUTSequence is only created/read on the fly
DVPSPrintPresentationLUTAlignment | referencedPresentationLUTAlignment
| The Print SCP can be configured to enforce a rule requiring that the number of entries in a Presentation LUT matches the bit depth of the image pixel data.

## Detailed Description

a basic film session object managed by a Print SCP.

## Constructor & Destructor Documentation

## ◆ DVPSFilmSession()

DVPSFilmSession::DVPSFilmSession | ( | Uint16 | illumin,
|  | Uint16 | reflection )

constructor

Parameters

  illumin | default Illumination setting
  reflection | default Reflected Ambient Light setting

Referenced by DVPSFilmSession(), clone(), and operator=().

## Member Function Documentation

## ◆ addPresentationLUTReference()

OFCondition DVPSFilmSession::addPresentationLUTReference | ( | DcmItem & | dset | ) |
| private

writes a Referenced Presentation LUT SQ, Illumination and reflected ambient light to the given dataset.

Helper function used when creating Basic Film Session or Basic Film Box.

Parameters

  dset | the dataset to which the data is written

Returns
  EC_Normal if successful, an error code otherwise.

## ◆ clone()

DVPSFilmSession * DVPSFilmSession::clone | ( |  | ) |
| inline

clone method.

Returns
  a pointer to a new DVPSFilmSession object containing a copy of this object.

References DVPSFilmSession().

## ◆ copyPresentationLUTSettings()

void DVPSFilmSession::copyPresentationLUTSettings | ( | DVPSStoredPrint & | sp | ) |

copies the film box Presentation LUT settings into the stored print object passed by reference.

Parameters

  sp | stored print object

## ◆ getUID()

const char * DVPSFilmSession::getUID | ( |  | ) |
| inline

returns the SOP instance UID of the basic film session.

Returns
  SOP instance UID

References sopInstanceUID.

## ◆ isInstance()

OFBool DVPSFilmSession::isInstance | ( | const char * | uid | ) |

compares the SOP instance UID with the given UID string.

Parameters

  uid | the uid to compare with

Returns
  OFTrue if UIDs are equal, OFFalse otherwise.

## ◆ printSCPCreate()

OFBool DVPSFilmSession::printSCPCreate | ( | DVConfiguration & | cfg,
|  | const char * | cfgname,
|  | DcmDataset * | rqDataset,
|  | T_DIMSE_Message & | rsp,
|  | DcmDataset *& | rspDataset,
|  | const char * | peerae,
|  | OFBool | presentationLUTnegotiated,
|  | DVPSPresentationLUT_PList & | globalPresentationLUTList )

performs a Print SCP Basic Film Session N-CREATE operation on a newly created instance of this class.

The results of the operation are stored in the objects passed as rsp and rspDataset.

Parameters

  cfg | config file facility
  cfgname | symbolic printer name in config file
  rqDataset | N-CREATE request dataset, may be NULL
  rsp | N-CREATE response message
  rspDataset | N-CREATE response dataset passed back in this parameter
  peerae | application entity title of the print SCU we're communicating with. Used to create default values for ownerID and filmSessionLabel.
  presentationLUTnegotiated | OFTrue if support for the Presentation LUT SOP class has been negotiated at association negotiation and is supported on Basic Film Session level
  globalPresentationLUTList | list of presentation LUTs managed by the Print SCP

Returns
  OFTrue if N-CREATE was successful, OFFalse otherwise.

## ◆ printSCPSet()

OFBool DVPSFilmSession::printSCPSet | ( | DVConfiguration & | cfg,
|  | const char * | cfgname,
|  | DcmDataset * | rqDataset,
|  | T_DIMSE_Message & | rsp,
|  | DcmDataset *& | rspDataset,
|  | OFBool | presentationLUTnegotiated,
|  | DVPSPresentationLUT_PList & | globalPresentationLUTList,
|  | DVPSStoredPrint_PList & | basicFilmBoxList )

performs a Print SCP Basic Film Session N-SET operation on an instance of this class.

The results of the N-SET operation are stored in the objects passed as rsp and rspDataset.

Parameters

  cfg | config file facility
  cfgname | symbolic printer name in config file
  rqDataset | N-SET request dataset
  rsp | N-SET response message
  rspDataset | N-SET response dataset passed back in this parameter
  presentationLUTnegotiated | OFTrue if support for the Presentation LUT SOP class has been negotiated at association negotiation and is supported on Basic Film Session level
  globalPresentationLUTList | list of presentation LUTs managed by the Print SCP
  basicFilmBoxList | list of basic film boxes. Presentation LUT settings are copied to all film boxes.

Returns
  OFTrue if N-SET was successful, OFFalse otherwise.

## Member Data Documentation

## ◆ referencedPresentationLUTAlignment

DVPSPrintPresentationLUTAlignment DVPSFilmSession::referencedPresentationLUTAlignment
| private

The Print SCP can be configured to enforce a rule requiring that the number of entries in a Presentation LUT matches the bit depth of the image pixel data.

This member variable describes the type of the current presentation LUT (if any).

The documentation for this class was generated from the following file:

- dcmpstat/include/dcmtk/dcmpstat/dvpsfs.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2